Subject: Re: [GSoC][PATCH v2] merge-strategies.adoc: detail submodule merge

From: Junio C Hamano <[email-masked]>
Date: Sat, 22 Feb 2025 14:17:56 -0800

Lucas Seiki Oshiro <[email-masked]> writes:

>> And of course a 6-line paragraph is not large enough to put in a
>> separate file to be included.
>
> I'm a newbie here, so I can't have a strong opinion on what's
> the best solution for managing those files. But, given that:
>
> 1. `ort` will sometime replace `recursive`
> 2. the last change in the content of this document was in
>    f5a3c5e637, three years ago, basically copying the content
>    from `recursive` to `ort`
>
> it looks like to me that creating another file only for this
> paragraph would harder to maintain than that duplication.
>
> I mean, if eventually `recursive` is replaced by `ort`, one
> will need to remember to move this paragraph to
> `merge-strategies`, as it will be used only in the `ort`
> documentation. On the other hand, given that this document
> haven't changed since the introduction of `ort`, this
> duplication doesn't seem to me that will be hard to be
> managed.

A relatively easy way out would be to have the full warning in the
'ort' section, and then only add only something like

	For a path that is a submodule, the same caution as 'ort'
	applies to this strategy.

to the 'recursive' section.